Chapter 30. DbstlException
Prev |  | Next

## Chapter 30. DbstlException

Base class of all dbstl exception classes.

It is derived from Berkeley DB C++ API DbException class to maintain consistency with all Berkeley DB exceptions.

#### Public Members

Member | Description
--- | ---
DbstlException |
operator= |
~DbstlException |

#### Group

Dbstl Exception Classes

## DbstlException

### Function Details

    DbstlException(const char *msg)

    DbstlException(const char *msg,
        int err)

    DbstlException(const DbstlException &ex)

    DbstlException(int err)

    DbstlException(const char *prefix, const char *msg,
        int err)

### Class

DbstlException

Prev |  | Next
Chapter 29. Dbstl Exception Classes | Home | operator=